﻿
@using PagedList.Mvc
@using PagedList


@model  IPagedList<CRUD.Models.Category>
@{
    ViewBag.Title = "Category";
}

<link href=" ~/Content/PagedList.css" rel="stylesheet" type="text/css" />

@{
    if (User.IsInRole("Admin"))
    {
        <h6>@Html.ActionLink("Add Category", "AddCategory")</h6>
    }
}

<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.First().CategoryId)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.First().CategoryName)
        </th>
        <th>
            Products
        </th>
        <th></th>
    </tr>
    @{

    

    foreach (var item in Model)
    {
        <tr>

            <td>@Html.DisplayFor(ModelItem => item.CategoryId) </td>
            <td>@Html.DisplayFor(ModelItem => item.CategoryName) </td>

        @{ 

        


         if(item.Activate == true)
         {
            <td> @Html.ActionLink("List", "Product","Product", new { id = item.CategoryId },"") </td>

            if (User.IsInRole("Admin"))
            {
                <td>
                    @Html.ActionLink("Edit", "EditCategory", new { id = item.CategoryId }) |
                    @* @Html.ActionLink("Details", "Details", new { id = item.CategoryId }) |*@
                    @Html.ActionLink("Delete", "DeleteCategory", new { id = item.CategoryId })
                </td>
            }
            <td>
                @Html.ActionLink("Deactivate", "Activate_Deactivate", new { id = item.CategoryId })
            </td>
        }
        else
        {
            <td>
                @Html.ActionLink("Activate", "Activate_Deactivate", new { id = item.CategoryId })
            </td>
        }
       }

         </tr>
     }
   

    }
</table>

@Html.PagedListPager(Model, page => Url.Action("Index", new { page }))

